function do_bd_sample()


diverge = evalin('base', 'diverge');
tolerance = evalin('base', 'tolerance');


% calculate 2D period diagram for the skewtent map with the
% given initial condition 
[param1, param2, periods] = period_bd_calc(@skewtent, 0.35, [0 3; -10 0], ...
                                  [0.02 0.05], [1 2], 2000, 15, tolerance, diverge, ...
                                  1, -1, 1);
% plot BD data                              
bd_plot(param1, param2, periods, 15);

% calculate 2D period diagram for the modified Ikeda map
% with the given initial condition 
param = {1, 0.9, 1, 0.4, 6};
[param1, param2, periods] = period_bd_calc(@ikeda, [1 2], [0.5 1; 0.5 1], ...
                                  [0.005 0.005], [1 2], 2000, 15, tolerance, diverge, ...
                                  param{:});
% plot BD data                              
bd_plot(param1, param2, periods, 15);


% calculate 2D period diagram for the picewise linear map
% with three branches with choosing the intial condition
% randomly
[param1, param2, periods] = period_bd_calc(@pwl3part, 'rand(1)', [-1 15; -15 1], ...
                                  [0.1 0.1], [3 4], 2000, 30, tolerance, diverge, ...
                                  0.85, 0.8, 1, -1, 0, 0.3);
% plot BD data with the same maximal period as was
% calculated 
bd_plot(param1, param2, periods, 30);
% plot BD data only up to periods 15
bd_plot(param1, param2, periods, 15);
% plot BD data only up to periods 7
[hfig, hcbar] = bd_plot(param1, param2, periods, 7);
% further customizing created figure
% change figure size and position
set(hfig, 'Units', 'centimeters');
set(hfig, 'Position', [2, 2, 18, 14]);
% get figure axes handle and change horizontal ticks
hax = get(hfig, 'CurrentAxes');
set(hax, 'XLim', [-1 15], 'XTick', (0:5:15));
% change colorbar range and ticks
set(hcbar, 'ylim', [-1.5 16.5], 'YTick', (0:2:16));
% print figure into a PNG graphics file
print(hfig, '-dpng', '-r300', 'example/pwl3part_BD.png');



                              
                              
