function do_points_sample()

tolerance = evalin('base', 'tolerance');
diverge, max_step = evalin('base', 'diverge, max_step');


% logistic map
xF = find_periodic_1d(@logistic, 10, [0 1], 100, tolerance, diverge, max_step, true, 3.8);
points = period_classify(@logistic, xF, 10, 1e-6, 3.8)
points{2, 1}
points{5, 1}
points{9, 1}


% skewtent map
param = {0.47, -9, 1};
xF = find_periodic_1d(@skewtent, 12, [-10 10], 100, tolerance, diverge, max_step, true, param{:});
points = period_classify(@skewtent, xF, 12, 1e-6, param{:})


% modified Ikeda map
param = {1, 0.9, 1, 0.4, 6};
xF = find_periodic_md(@ikeda, 2, [-5 5; -5 5], 100, tolerance, diverge, max_step, true, param{:});
xF = find_periodic_md(@ikeda, 2, [0.5 0.2], 0, tolerance, diverge, max_step, false, param{:});
xF = find_periodic_md(@ikeda, 2, [-5 5; -5 5], [10 10], tolerance, diverge, max_step, false, param{:});
points = period_classify(@ikeda, xF, 2, 1e-6, param{:})


% cutting map
param = {2, 0.01, 1, 0.87};
xF = find_periodic_md(@cutting_map, 2, [-5 5; -5 5], 100, tolerance, diverge, max_step, true, param{:});
points = period_classify(@cutting_map, xF, 2, 1e-6, param{:})




