function do_stab_sample()

arc_length = evalin('base', 'arc_length');
d = evalin('base', 'd');
a_min = evalin('base', 'a_min');
a_max = evalin('base', 'a_max');
Da_min = evalin('base', 'Da_min');
Da_max = evalin('base', 'Da_max');
D_min = evalin('base', 'D_min');
eB = evalin('base', 'eB');


% modified Ikeda map
param = {1, 0.9, 1, 0.4, 6};

% first saddle
p0 = [1.08331887404 -2.4079634834];
[sf1, arc] = sc_stable(@ikeda, p0, arc_length, 1, d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});
[sb1, arc] = sc_stable(@ikeda, p0, arc_length, 1, -d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});

figure(1);
h = plot(sf1(:, 1), sf1(:, 2), 'b.', sb1(:, 1), sb1(:, 2), 'b.', p0(1), p0(2), 'g.');
set(h(3), 'MarkerSize', 20);

% second saddle
p0 = [0.510743848045130   0.273108380475811];
[sf2, arc] = sc_stable(@ikeda, p0, arc_length, 1, d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});
[sb2, arc] = sc_stable(@ikeda, p0, arc_length, 1, -d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});

figure(2);
h = plot(sf2(:, 1), sf2(:, 2), 'b.', sb2(:, 1), sb2(:, 2), 'b.', p0(1), p0(2), 'g.');
set(h(3), 'MarkerSize', 20);


% non-invariant map
param = {-1.9, 0.1, 0.1, 0.1, 0.1};

p0 = [0 -1];
[sf, arc] = sc_stable(@Lambda_noinv, p0, arc_length, 5, d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});
[sb, arc] = sc_stable(@Lambda_noinv, p0, arc_length, 5, -d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});

figure(3);
h = plot(sf(:, 1), sf(:, 2), 'b.', sb(:, 1), sb(:, 2), 'b.', p0(1), p0(2), 'g.');
set(h(3), 'MarkerSize', 20);


% cutting map
param = {2, 0.01, 1, 0.87};

p0 = [0.279309944449109 0.438332177937098];

[sfc, arc] = sc_stable(@cutting_map, p0, arc_length, 4, d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});
[sbc, arc] = sc_stable(@cutting_map, p0, arc_length, 4, -d, a_min, a_max, Da_min, Da_max, D_min, eB, diverge, param{:});

figure(4);
h = plot(sfc(:, 1), sfc(:, 2), 'b.', sbc(:, 1), sbc(:, 2), 'b.', p0(1), p0(2), 'g.');
set(h(3), 'MarkerSize', 20);






 
 