function J = henon_J(x, a, b)
%
% Henon map: Jacobi matrix
%
%     /x1\      / x2 + 1 - a*x1^2 \
% h: (    ) -> (                   )
%     \x2/      \ b*x1            /
%
%
% another definition:
%     /x1\      / b*x2 + a - x1^2 \
% h: (    ) -> (                   )
%     \x2/      \ x1            /
%


if (length(x) ~= 2)
    cprintf('err', 'ERROR: First argument must be a vector with 2 elements.\n');
    y = [];
    return;
else
    J = zeros(2, 2);
    % J(1, 1) = -2*a*x(1);
    % J(1, 2) = 1;
    % J(2, 1) = b;
    %%% in Alligood, Yorke:
    % J(1, 1) = -2*x(1);
    % J(1, 2) = b;
    % J(2, 1) = 1;
    %%% in Devaney:
    J(1, 1) = -2*x(1);
    J(1, 2) = -b;
    J(2, 1) = 1;
end;
