function y = henon(x, a, b)
%
% inverse of Henon map
% 
%     /x1\      / x1                  \
% h: (    ) -> (                       )
%     \x2/      \ a/b - x1/b - x2^2/b /
%
%
% chaotic attractor: a = 2.12, b = 0.3; a = 1.4, b = -0.3

if (length(x) ~= 2)
    cprintf('err', 'ERROR: First argument must be a vector with 2 elements.\n');
    y = [];
    return;
else
    %%% in Devaney:
    y(1) = x(2);
    y(2) = a/b - x(1)/b - x(2)^2/b;
end;
