function flag = is_clockwise(p, p0, p1)

%
% Define if the point p is situated clockwise or not with
% respect to the vector [p0, p1].
%
% return values:
% flag - exit flag (1: p is situated clockwise with respect
%        to the vector [p0, p1], 0: p is situated on the
%        vector [p0, p1], -1: p is situated counterclockwise
%        with respect to the vector [p0, p1]).
%

pvec = p1 - p0;
nvec = [pvec(2) -pvec(1)]; % clockwise normal vector to [p0, p1]

flag = sign(dot(nvec, p - p0));


